<template>
  <div>
    <Base activeIndex="3">
    </Base>
    <div class="UserInfo">
      <el-row :gutter="20">
        <el-col :span="24">
          <el-main class="main">
            <el-space direction="vertical" alignment="start" :size="30">
              <br />

              <el-space wrap :size="size" class="act-body">
                <el-card v-for="i in info.length" :key="i" class="box-card" shadow="hover"
                  style="width: 350px; height: 470px;" :class="{ selected: this.info[i - 1].is_copy }">
                  <template #header>
                    <div class="card-header act-header">
                      <img :src="this.pics[i - 1]" alt="" class="picture">
                    </div>

                  </template>
                  <div style="text-align:left">活动名称: {{ this.info[i - 1].activity_topic }}</div><br />
                  <div style="text-align:left">分值: {{ this.info[i - 1].score }}</div><br />
                  <div style="text-align:left">反馈人: {{ this.info[i - 1].user_name }}</div><br />
                  <div style="text-align:left">活动日期: {{ this.info[i - 1].feedback_time }}</div><br />
                  <div>
                    <el-button class="button" type="success" @click="pass_review({ feedback_id: this.info[i - 1].id })">审核通过
                    </el-button>
                    <el-button class="button" type="primary" @click="jump_verify({
                      feedback_id: this.info[i - 1].id
                    })">查看详情
                    </el-button>
                  </div>
                </el-card>
              </el-space>
            </el-space>
            <el-row justify="center">
              <el-pagination background layout="prev, pager, next" :total="100" />
            </el-row>
          </el-main>
        </el-col>
      </el-row>
    </div>
  </div>
</template>

<script>
import axios from "axios";
import Base from "./Base.vue";
import global from "./Common.vue";
import { ElMessage } from 'element-plus'
export default {
  name: "ActivitiesVerify",
  data() {
    return {
      tongjiIcon: require("../assets/images/tongjiIcon.png"),
      UserProfileImg: require("../assets/images/UserProfileImg.png"),
      cmp_group: [],
      feedback_ids: [1, 2],
      ip: global.ip,
      pics: [],
      page: 1,
      info: []
    };
  },
  async created() {
    let token = localStorage.getItem("token")
    // 请求文字数据
    await axios({
      method: "POST",
      url: "http://" + this.ip + "/api/feedbackReview/pageesle",
      data: {
        page: this.page,
        per_page: 20
      },
      headers: { 'Authorization': `Bearer: ${token}` }
    }).then((res) => {
      console.log(res)
      if (res.data.code == "00") {
        this.info = res.data.info;
      }
    })

    // 请求图片数据
    for (var i = 0; i < this.info.length; i++) {
      await axios({
        method: 'POST',
        url: "http://" + this.ip + "/api/feedbackReview/pic",
        responseType: 'blob',
        data: {
          pic: this.info[i].pic
        },
        headers: { 'Authorization': `Bearer: ${token}` }
      }).then((res) => {
        console.log(res)
        this.pics.push(window.URL.createObjectURL(res.data));
      })
    }

    

  },
  computed: {
    aveScore() {
      var sum = 0;
      var cnt = 0;
      this.comments.forEach((item) => {
        cnt = cnt + 1;
        sum = sum + item.score;
      });
      return sum / cnt;
    },
  },
  components: {
    Base
  },
  methods: {
    jump_verify(datas) {
      window.location.replace("http://" + global.ip_front + "/verify?feedback_id=" +
        datas.feedback_id);
    },
    pass_review(datas) {
      let token=localStorage.getItem('token');
      axios({
        method: 'POST',
        url: "http://" + this.ip + "/api/feedbackReview/submitexamine",
        headers: { Authorization: `Bearer: ${token}` },
        data: {
          feedback_id: datas.feedback_id,
          is_pass: 1,
          reason: '直接通过'
        }
      }).then((res) => {
        console.log(res);
        if (res.data.code == "00") {
          console.log("正常通过");
        }
      });
    }
  }
};
</script>


<style scoped>
a {
  text-decoration: none;
  color: white;
}

.layout-container-demo .el-header {
  position: relative;
  background-color: var(--el-color-primary-light-7);
  color: var(--el-text-color-primary);
}

.layout-container-demo .el-aside {
  color: var(--el-text-color-primary);
  background: var(--el-color-primary-light-8);
}

.layout-container-demo .el-menu {
  border-right: none;
}

.layout-container-demo .el-main {
  padding: 0;
}

.layout-container-demo .toolbar {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  right: 20px;
}

.font_1 {
  text-align: center;
  font-size: 25px;
}

.scrollbar-demo-item {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 50px;
  margin: 10px;
  text-align: center;
  border-radius: 4px;
  background: var(--el-color-primary-light-9);
  color: var(--el-color-primary);
}
</style>

<style scoped>
.activity_list_item {
  height: 30px;
  margin: 10px 20px 20px 20px;
  background: #69f61291;
  text-align: center;
}

.el-col {
  border-radius: 4px;
}

.bg-purple-dark {
  background: #99a9bf;
}

.bg-purple {
  background: #d3dce6;
}

.bg-purple-light {
  background: #e5e9f2;
}

.grid-content {
  border-radius: 4px;
  min-height: 36px;
}

.UserInfo {
  background: rgb(238, 241, 246);
}

.topHeader {
  background-color: #f8f8f8;
  color: #123456;
  line-height: 60px;
  margin-bottom: 1px;
}

.sideBar {
  background: #fff;
  margin-right: 10px;
  text-align: left;
}

.courseBasic {
  box-shadow: 0 2px 12px 0 rgba(0, 0, 0, 0.1);
  margin: 10px 20px 20px 20px;
  background: #fff;
  border-radius: 12px;
}

.main {
  position: relative;
  top: 50px;
  margin-left: 30px;
  margin-right: 30px;
  background: #fff;
  border-radius: 12px;
}

.tongjiIcon {
  color: #1c98ce;
  font-size: 20px;
  font-weight: bold;
  text-align: left;
}

.UserProfileImg {
  margin: 60px 20px 0px 100px;
  height: 200px;
  width: 200px;
  float: left;
}

.basicInfo {
  background: #f8f8f8;
  padding: 10px;
  border-radius: 8px;
  width: 300px;
}

.basicInfoType {
  margin: 10px 0px 10px 10px;
  font-size: 14px;
}

.userName {
  margin-top: 50px;
  margin-bottom: 20px;
  font-size: 24px;
  font-weight: bold;
}

.activityMessage {
  background: rgb(223, 255, 230);
  margin: 20px 30px 20px 30px;
  padding: 2px 3px 2px 30px;
  border-radius: 8px;
  text-align: center;
}

.profile {
  margin-top: 30px;
  border-radius: 100px;
  width: 50px;
  height: 50px;
}

.el-rate__icon {
  font-size: 28px;
}

.picture {
  width: 230px;
}

.act-header {
  text-align: center;
}

.act-body {
  margin-left: 100px;
}

.box-card {
  margin-right: 30px;
  margin-bottom: 20px;
}

.selected {
  border-color: #e8150a;
}
</style>
